gtkmm: Gtk::Object Class Reference

gtkmm 3.3.20

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Gtk::Object Class Reference

Gtk::Object is the base class for all widgets, and for a few non-widget objects such as Gtk::Adjustment. More...

Inheritance diagram for Gtk::Object:
[legend]

List of all members.

## Public Member Functions
virtual | ~Object ()
GObject* | gobj ()
| Provides access to the underlying C GtkObject.
const GObject* | gobj () const
| Provides access to the underlying C GtkObject.

## Detailed Description

Gtk::Object is the base class for all widgets, and for a few non-widget objects such as Gtk::Adjustment.

Gtk::Object predates Glib::Object; non-widgets that derive from Gtk::Object rather than Glib::Object do so for backward compatibility reasons.

The most interesting difference between Gtk::Object and Glib::Object is the ability to use Gtk::manage() to delegate memory management to the container widget. Gtk::Objects can also be explicitly deleted at any time, instead of using only reference-counting, and container widgets can respond when their child objects are being deleted (for instance by removing the widget).

## Constructor & Destructor Documentation

virtual Gtk::Object::~Object | ( |  | ) | `[virtual]`

Reimplemented from Glib::Object.

## Member Function Documentation

GObject* Gtk::Object::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gtk::FontSelectionDialog, Gtk::ColorSelectionDialog, Gtk::Widget, Gtk::TreeView, Gtk::CellRenderer, Gtk::HScale, Gtk::Window, Gtk::HScrollbar, Gtk::HBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::HSeparator, Gtk::ToolPalette, Gtk::VPaned, Gtk::SpinButton, Gtk::Dialog, Gtk::TextView, Gtk::Image, Gtk::IconView, Gtk::AboutDialog, Gtk::Entry, Gtk::TreeViewColumn, Gtk::MessageDialog, Gtk::Box, Gtk::Socket, Gtk::Assistant, Gtk::MenuBar, Gtk::Notebook, Gtk::CellRendererAccel, Gtk::Table, Gtk::ComboBox, Gtk::Paned, Gtk::ProgressBar, Gtk::ButtonBox, Gtk::FontSelection, Gtk::VScrollbar, Gtk::Container, Gtk::Expander, Gtk::ColorSelection, Gtk::OffscreenWindow, Gtk::VScale, Gtk::Grid, Gtk::InfoBar, Gtk::VButtonBox, Gtk::FileChooserButton, Gtk::ScrolledWindow, Gtk::LinkButton, Gtk::Scrollbar, Gtk::PrintUnixDialog, Gtk::AppChooserDialog, Gtk::CellView, Gtk::HandleBox, Gtk::VSeparator, Gtk::RecentChooserDialog, Gtk::VBox, Gtk::Button, Gtk::Layout, Gtk::ScaleButton, Gtk::HPaned, Gtk::Alignment, Gtk::Arrow, Gtk::CellRendererSpin, Gtk::ColorButton, Gtk::Scale, Gtk::Toolbar, Gtk::AppChooserWidget, Gtk::Fixed, Gtk::FontButton, Gtk::Frame, Gtk::MenuItem, Gtk::RecentChooserMenu, Gtk::Statusbar, Gtk::CellRendererCombo, Gtk::MenuShell, Gtk::TearoffMenuItem, Gtk::AppChooserButton, Gtk::CellRendererPixbuf, Gtk::CheckButton, Gtk::EventBox, Gtk::FileChooserWidget, Gtk::FontChooserDialog, Gtk::FontChooserWidget, Gtk::Menu, Gtk::AspectFrame, Gtk::Label, Gtk::RadioButton, Gtk::RecentChooserWidget, Gtk::FileChooserDialog, Gtk::ImageMenuItem, Gtk::Misc, Gtk::Separator, Gtk::SeparatorToolItem, Gtk::ToolItem, Gtk::Bin, Gtk::CellRendererSpinner, Gtk::ComboBoxText, Gtk::RadioToolButton, Gtk::ToggleToolButton, Gtk::ToolItemGroup, Gtk::VolumeButton, Gtk::RadioMenuItem, Gtk::Switch, Gtk::PageSetupUnixDialog, Gtk::ColorChooserDialog, Gtk::Viewport, Gtk::CellRendererProgress, Gtk::CellRendererToggle, Gtk::CheckMenuItem, Gtk::MenuToolButton, Gtk::Range, Gtk::SeparatorMenuItem, Gtk::ToggleButton, Gtk::AccelLabel, Gtk::ApplicationWindow, Gtk::CellRendererText, Gtk::DrawingArea, Gtk::Invisible, Gtk::Spinner, Gtk::Plug, and Gtk::ToolButton.

const GObject* Gtk::Object::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gtk::FontSelectionDialog, Gtk::ColorSelectionDialog, Gtk::Widget, Gtk::TreeView, Gtk::CellRenderer, Gtk::HScale, Gtk::Window, Gtk::HScrollbar, Gtk::HBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::HSeparator, Gtk::ToolPalette, Gtk::VPaned, Gtk::SpinButton, Gtk::Dialog, Gtk::TextView, Gtk::Image, Gtk::IconView, Gtk::AboutDialog, Gtk::Entry, Gtk::TreeViewColumn, Gtk::MessageDialog, Gtk::Box, Gtk::Socket, Gtk::Assistant, Gtk::MenuBar, Gtk::Notebook, Gtk::CellRendererAccel, Gtk::Table, Gtk::ComboBox, Gtk::Paned, Gtk::ProgressBar, Gtk::ButtonBox, Gtk::FontSelection, Gtk::VScrollbar, Gtk::Container, Gtk::Expander, Gtk::ColorSelection, Gtk::OffscreenWindow, Gtk::VScale, Gtk::Grid, Gtk::InfoBar, Gtk::VButtonBox, Gtk::FileChooserButton, Gtk::ScrolledWindow, Gtk::LinkButton, Gtk::Scrollbar, Gtk::PrintUnixDialog, Gtk::AppChooserDialog, Gtk::CellView, Gtk::HandleBox, Gtk::VSeparator, Gtk::RecentChooserDialog, Gtk::VBox, Gtk::Button, Gtk::Layout, Gtk::ScaleButton, Gtk::HPaned, Gtk::Alignment, Gtk::Arrow, Gtk::CellRendererSpin, Gtk::ColorButton, Gtk::Scale, Gtk::Toolbar, Gtk::AppChooserWidget, Gtk::Fixed, Gtk::FontButton, Gtk::Frame, Gtk::MenuItem, Gtk::RecentChooserMenu, Gtk::Statusbar, Gtk::CellRendererCombo, Gtk::MenuShell, Gtk::TearoffMenuItem, Gtk::AppChooserButton, Gtk::CellRendererPixbuf, Gtk::CheckButton, Gtk::EventBox, Gtk::FileChooserWidget, Gtk::FontChooserDialog, Gtk::FontChooserWidget, Gtk::Menu, Gtk::AspectFrame, Gtk::Label, Gtk::RadioButton, Gtk::RecentChooserWidget, Gtk::FileChooserDialog, Gtk::ImageMenuItem, Gtk::Misc, Gtk::Separator, Gtk::SeparatorToolItem, Gtk::ToolItem, Gtk::Bin, Gtk::CellRendererSpinner, Gtk::ComboBoxText, Gtk::RadioToolButton, Gtk::ToggleToolButton, Gtk::ToolItemGroup, Gtk::VolumeButton, Gtk::RadioMenuItem, Gtk::Switch, Gtk::PageSetupUnixDialog, Gtk::ColorChooserDialog, Gtk::Viewport, Gtk::CellRendererProgress, Gtk::CellRendererToggle, Gtk::CheckMenuItem, Gtk::MenuToolButton, Gtk::Range, Gtk::SeparatorMenuItem, Gtk::ToggleButton, Gtk::AccelLabel, Gtk::ApplicationWindow, Gtk::CellRendererText, Gtk::DrawingArea, Gtk::Invisible, Gtk::Spinner, Gtk::Plug, and Gtk::ToolButton.

The documentation for this class was generated from the following file:

- gtkmm/object.h